
procedure error(msg : full_line_);
{ writes error message out to screen}
const  bell = ^G;
begin
  write(bell,msg);
end;

procedure iocheck;
{ check for I/O error, print message }
{remember to turn off and on I/O checking, and include var ioerr : boolean in
 declarations }
var
  iocode : integer;
  ch : char;
begin
  iocode := ioresult;
  ioerr := (iocode <> 0);
  if ioerr then
    begin
      case iocode of
        $01 : error('File does not exist');
        $02 : error('File not open for input');
        $03 : error('File not open for output');
        $04 : error('File not open');
        $10 : error('Error in numeric format');
        $20 : error('Operation not allowed on logical device');
        $21 : error('Not allowed in direct mode');
        $22 : error('Assign to standard files not allowed');
        $90 : error('Record length mismatch');
        $91 : error('Seek beyond end of file');
        $99 : error('Unexpected end of file');
        $F0 : error('Disk write error');
        $F1 : error('Directory is full');
        $F2 : error('File size overflow');
        $FF : error('File disappeared')
      else
        error('Unknown I/O error: ');
        write(iocode:3);
      end; {case}
    read(kbd,ch);
  end;
end; {iocheck}